- Home
- API Enriched
- Virtual
- data
- Security Incidents Scroll Query.
Security Incidents Scroll Query.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/app_security/incidents/scroll';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example","scroll_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/app_security/incidents/scroll \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example", "scroll_id": "example" }'Scroll request is used to fetch large number of security incidents in multiple batches with each SecurityIncidentsResponse containing no more than 500 messages. To scroll through more than 500 or all messages, one can use the SecurityIncidentsScrollRequest. Use the scroll_id returned in the SecurityIncidentsResponse to fetch the next batch of security incidents and one can continue this process till the scroll_id returned is "" which indicates no more events to scroll.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Fetch security incidents for a given namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Scroll request is used to fetch large number of security incidents in multiple batches with each SecurityIncidentsResponse containing no more than 500 messages. To scroll through more than 500 or all security incidents, one can use the SecurityIncidentsScrollRequest. Use the scroll_id returned in the SecurityIncidentsResponse to fetch the next batch of security events and one can continue this process till the scroll_id returned is "" which indicates no more messages to scroll.
object
Fetch security incidents for a given namespace.
Long Base-64 encoded string which can be used to retrieve next batch of security events.
Examplegenerated
{ "namespace": "example", "scroll_id": "example"}Responses
Section titled “Responses”A successful response.
Response message for SecurityIncidentsRequest/SecurityIncidentsScrollRequest.
object
Aggregations provide summary/analytics data over the security incidents response. If the number of security incidents that matched the query is large and cannot be returned in a single response message, user can GET helpful insights/summary using aggregations.
object
List of security incidents that matched the query. Contains no more than 500 messages.
Long Base-64 encoded string which can be used to retrieve the next batch of security incidents using the scroll request. Empty scroll_id indicates no more messages to scroll (EOF). Note: scroll_id is valid only for 2 minutes. I.e., If one intend to retrieve next batch of the result, then the scroll request should be sent within 2 minutes upon receiving the SecurityIncidentsResponse.
Total number of security events that matched the query.
object
This is a unique UUID generated by elastic search.
Configuration parameter for last timestamp
Examplegenerated
{ "aggs": {}, "incidents": [ "example" ], "scroll_id": "example", "total_hits": "example", "last_sort_values": { "last_doc_id": "example", "last_timestamp": 1 }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example